Subject: Re: bug#35969: 26.2, Excorporate

From: "tenspd137 ." <[email-masked]>
Date: Thu, 30 May 2019 11:06:38 -0600

Thomas-

Here is the httpbin.org authentication test buffer (through emacs / proxy)

HTTP/1.1 401 UNAUTHORIZED
Access-Control-Allow-Credentials: true
Access-Control-Allow-Origin: *
Date: Thu, 30 May 2019 15:32:25 GMT
Referrer-Policy: no-referrer-when-downgrade
Server: nginx
WWW-Authenticate: Basic realm="Fake Realm"
X-Content-Type-Options: nosniff
X-Frame-Options: DENY
X-XSS-Protection: 1; mode=block
Content-Length: 0
Connection: Close

and here is the failed excahnge.asmx buffer

HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: fb0b957e-f55c-49b9-9fb5-fd9a58a5f31a
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN6PR1501CA0010
WWW-Authenticate: Basic Realm=""
Date: Thu, 30 May 2019 15:36:43 GMT
Connection: close
Content-Length: 0

and, as a bonus, the result of url-exchange.asmx from Emacs not using
a proxy on the "other" lan using url-retrieve-synchronusly

HTTP/1.1 401 Unauthorized
Server: Microsoft-IIS/10.0
request-id: 369ea2d9-8dce-408c-a38e-fb8035f98065
X-WSSecurity-Enabled: True
X-WSSecurity-For: Logon
X-FederationTrustTokenIssuerUri: urn:federation:MicrosoftOnline
X-WSSecurity-SymmetricKey-Enabled: True
X-WSSecurity-X509Cert-Enabled: True
X-OAuth-Enabled: True
X-Powered-By: ASP.NET
X-FEServer: SN4PR0201CA0037
WWW-Authenticate: Basic Realm=""
Date: Thu, 30 May 2019 16:40:48 GMT
Content-Length: 0

I tried to get logs from a successful exorporate useage, but the http
result buffers appear to come and go, and if I try URL-DEBUG, a lot
happens and eventually emacs on my laptop locks up, but if you want me
to try anything specific or there is a way to look at things step by
step, just let me know.

Thanks!

-C

On Wed, May 29, 2019 at 4:10 PM tenspd137 . <[email-masked]> wrote:
>
> Yes - I will try to do it tomorrow morning.  Thanks again!
>
> -C
>
> On Wed, May 29, 2019 at 4:01 PM Thomas Fitzsimmons <[email-masked]> wrote:
> >
> > Hi,
> >
> > "tenspd137 ." <[email-masked]> writes:
> >
> > > Sorry for questioning - but I don't think it is successful in the
> > > basic authentication case - unless I am misreading some of the output.
> >
> > No problem; I quoted the "status=200" line which I think indicates that
> > it was successful.  But url creates another buffer and puts the
> > authentication response in there; to be sure, you'd need to check that.
> > I think for httpbin.org, it will contain the headers and then:
> >
> > {
> >   "authenticated": true,
> >   "user": "user"
> > }
> >
> > just like your wget experiment.
> >
> > For your prior test run, the secondary buffer is mentioned in
> > *URL-DEBUG* here:
> >
> > > retrieval -> Synchronous fetching done (#<buffer  *http httpbin.org:443*-54346>)
> >                                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >
> > Can you redo the httpbin.org authentication test within Emacs, through
> > the proxies, and paste the contents of that secondary/response buffer?
> >
> > It would be helpful if you could paste the redacted secondary/response
> > buffer contents for the failed Exchange authentication too.
> >
> > > As for testing authentication against no proxy - yes, I can.  In fact,
> > > I actually have.  It works.
> >
> > [...]
> >
> > OK, good to know, thanks.  The use case makes sense.
> >
> > Thanks,
> > Thomas